import fs from 'fs'
import path from 'path'
import { defineConfig } from 'vite'
import { createVuePlugin } from 'vite-plugin-vue2'
import eslint from '@rollup/plugin-eslint'
export default defineConfig({
  base: process.env.BUILD_ENV === 'prod' ? 'https://webapp-pub.ezijing.com/website/prod/finance-admin/' : '/',
  plugins: [eslint({ include: '**/*.+(vue|js|jsx|ts|tsx)' }), createVuePlugin()],
  server: {
    open: true,
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './https/ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './https/ezijing.com.pem'))
    },
    // proxy: {
    //   '/api/finance': 'https://finance-backend-api.ezijing.com'
    // },
    proxy: {
      '/api/finance': {
        target: 'https://finance-backend-api.ezijing.com',
        changeOrigin: true,
        rewrite: path => path.replace(/^\/api\/finance/, '')
      },

      '/api': 'https://app.ezijing.com'
    }
  },
  resolve: {
    alias: [
      {
        find: '@',
        replacement: path.resolve(__dirname, 'src')
      }
    ]
  }
})
